<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Unit Conversion and Dimensional Analysis Library: units::unit_traits&lt; T, typename void_t&lt; typename T::base_unit_type, typename T::conversion_ratio, typename T::pi_exponent_ratio, typename T::translation_ratio &gt;::type &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">1.1.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceunits.html">units</a></li><li class="navelem"><a class="el" href="structunits_1_1unit__traits_3_01_t_00_01typename_01void__t_3_01typename_01_t_1_1base__unit__type68c73efaac9a101677b1aed9b36e4ad4.html">unit_traits&lt; T, typename void_t&lt; typename T::base_unit_type, typename T::conversion_ratio, typename T::pi_exponent_ratio, typename T::translation_ratio &gt;::type &gt;</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="structunits_1_1unit__traits_3_01_t_00_01typename_01void__t_3_01typename_01_t_1_1base__unit__typeae90af8b953fa8a9f0ec52eaf529e7c2.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">units::unit_traits&lt; T, typename void_t&lt; typename T::base_unit_type, typename T::conversion_ratio, typename T::pi_exponent_ratio, typename T::translation_ratio &gt;::type &gt; Struct Template Reference<div class="ingroups"><a class="el" href="group___type_traits.html">Type Traits</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Traits class defining the properties of units.  
 <a href="structunits_1_1unit__traits_3_01_t_00_01typename_01void__t_3_01typename_01_t_1_1base__unit__type68c73efaac9a101677b1aed9b36e4ad4.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="units_8h_source.html">units.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a852ae918b1afb0717fe644f7cf673d69"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a852ae918b1afb0717fe644f7cf673d69"></a>
typedef T::base_unit_type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structunits_1_1unit__traits_3_01_t_00_01typename_01void__t_3_01typename_01_t_1_1base__unit__type68c73efaac9a101677b1aed9b36e4ad4.html#a852ae918b1afb0717fe644f7cf673d69">base_unit_type</a></td></tr>
<tr class="memdesc:a852ae918b1afb0717fe644f7cf673d69"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unit type that the unit was derived from. May be a <code><a class="el" href="structunits_1_1base__unit.html" title="Class representing SI base unit types. ">base_unit</a></code> or another <code>unit</code>. Use the <code>base_unit_of</code> trait to find the SI base unit type. <br /></td></tr>
<tr class="separator:a852ae918b1afb0717fe644f7cf673d69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a899e914f08d121efc5fec5e1de15694b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a899e914f08d121efc5fec5e1de15694b"></a>
typedef T::conversion_ratio&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structunits_1_1unit__traits_3_01_t_00_01typename_01void__t_3_01typename_01_t_1_1base__unit__type68c73efaac9a101677b1aed9b36e4ad4.html#a899e914f08d121efc5fec5e1de15694b">conversion_ratio</a></td></tr>
<tr class="memdesc:a899e914f08d121efc5fec5e1de15694b"><td class="mdescLeft">&#160;</td><td class="mdescRight">std::ratio representing the conversion factor to the <code>base_unit_type</code>. <br /></td></tr>
<tr class="separator:a899e914f08d121efc5fec5e1de15694b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a338853fa17720359df84bf408eaec0ed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a338853fa17720359df84bf408eaec0ed"></a>
typedef T::pi_exponent_ratio&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structunits_1_1unit__traits_3_01_t_00_01typename_01void__t_3_01typename_01_t_1_1base__unit__type68c73efaac9a101677b1aed9b36e4ad4.html#a338853fa17720359df84bf408eaec0ed">pi_exponent_ratio</a></td></tr>
<tr class="memdesc:a338853fa17720359df84bf408eaec0ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">std::ratio representing the exponent of pi to be used in the conversion. <br /></td></tr>
<tr class="separator:a338853fa17720359df84bf408eaec0ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af227ca35d0739cdb74efb44f8f5fbb8c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af227ca35d0739cdb74efb44f8f5fbb8c"></a>
typedef T::translation_ratio&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structunits_1_1unit__traits_3_01_t_00_01typename_01void__t_3_01typename_01_t_1_1base__unit__type68c73efaac9a101677b1aed9b36e4ad4.html#af227ca35d0739cdb74efb44f8f5fbb8c">translation_ratio</a></td></tr>
<tr class="memdesc:af227ca35d0739cdb74efb44f8f5fbb8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">std::ratio representing a datum translation to the base unit (i.e. degrees C to degrees F conversion). <br /></td></tr>
<tr class="separator:af227ca35d0739cdb74efb44f8f5fbb8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;class T&gt;<br />
struct units::unit_traits&lt; T, typename void_t&lt; typename T::base_unit_type, typename T::conversion_ratio, typename T::pi_exponent_ratio, typename T::translation_ratio &gt;::type &gt;</h3>

<p>Traits class defining the properties of units. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>/home/nholthaus/workspace/units/include/<a class="el" href="units_8h_source.html">units.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sun Apr 3 2016 13:39:26 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.9.1
</small></address>
</body>
</html>
